View Issue Details

IDProjectCategoryView StatusLast Update
0003182SOGoBackend Mailpublic2016-09-23 12:44
Reporterc.mammoli Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.17 
Fixed in Version3.2.0 
Summary0003182: Allow stripping "smtp:" prefix from proxyAddresses ldap attribute in MailFieldNames
Description

I have the MailFieldNames option set in this way in sogo.conf:

MailFieldNames = (mail, otherMailbox, proxyAddresses);

We use the proxyAddresses attribute in active directory to store user aliases.
Unfortunately the format of proxyAddresses is "protocol:address". For example
smtp:foo@bar.com

So the attributes returned by MailFieldNames are useless if used in the "From:" field
A way to "strip" the prefix would be nice.

TagsNo tags attached.

Activities

Raido

Raido

2015-04-27 02:16

reporter   ~0008432

Is it the same problem as mine? http://www.sogo.nu/bugs/view.php?id=3177

morph027

morph027

2016-05-19 09:04

reporter   ~0010181

Same here...

Related Changesets

sogo: master 372158a3

2016-08-18 15:34:13

ludovic

Details Diff
(fix) strip protocol value from proxyAddresses (fixes 0003182) Affected Issues
0003182
mod - SoObjects/SOGo/LDAPSource.m Diff File

sogo: v2 ec11b8ab

2016-08-18 15:34:13

ludovic

Details Diff
(fix) strip protocol value from proxyAddresses (fixes 0003182) Affected Issues
0003182
mod - SoObjects/SOGo/LDAPSource.m Diff File

Issue History

Date Modified Username Field Change
2015-04-24 03:52 c.mammoli New Issue
2015-04-27 02:16 Raido Note Added: 0008432
2016-05-19 09:04 morph027 Note Added: 0010181
2016-08-18 15:38 ludovic Changeset attached => sogo master 372158a3
2016-08-18 15:38 ludovic Assigned To => ludovic
2016-08-18 15:38 ludovic Resolution open => fixed
2016-08-18 15:38 ludovic Changeset attached => sogo v2 ec11b8ab
2016-09-23 12:44 ludovic Status new => resolved
2016-09-23 12:44 ludovic Fixed in Version => 3.2.0